/******************************************************************/
/** Ce fichier decrit les structures et les constantes utilisees **/
/** par les fonctions de gestion des cameras.                    **/
/******************************************************************/

/**** Constantes ****/

#define DEFAULT_VIDEO	"/dev/video"
#define TAILLE_PERIPH	1024

/**** Structures ****/

/** Structure de palette **/

struct palette {
  int val;
  void (*rgb)(unsigned char *, unsigned char *, int, int, int);
  int prof;
  double bpp; };

/** Structure pour une webcam **/

typedef struct {
  char periph[TAILLE_PERIPH];           /* Chemin du peripherique Unix */
  int hauteur,largeur;                  /* Taille de l'image de la camera */
  int desc;                             /* Descripteur du fichier de la camera */
  int palette;                          /* Code de la palette utilisee par la camera */
  void *images;                         /* Pointeur sur la zone de recouvrement mémoire */
  int images_taille;                    /* Taille du recouvrement mémoire */
  void *rgb;                            /* Conversion de l'image au format RGB24 */
  int rgb_taille;                       /* Taille de l'image au format RGB24 */
  unsigned char conversion;             /* Indique si l'image est deja convertie en RGB24 */
  } webcam_technique;

/**** Fonctions ****/

int camOuvrir(webcam_technique *);
int camDemarrer(webcam_technique *);
int camArreter(webcam_technique *);
int camCapturer(webcam_technique *);
int camImageRGBConversion(webcam_technique *);
int camFermer(webcam_technique *);
int camLuminosite(webcam_technique *,int);
