/** fichier libipc.h **/

/******************************************************************/
/** Ce fichier decrit les structures et les constantes utilisees **/
/** par tout ce qui touche aux IPC (queues de messages)          **/
/******************************************************************/

/** Constantes **/

#define	QUEUES_PERMISSIONS		0666	/* Permissions des queues */

#define QUEUES_COMMANDE_TYPE		1
#define QUEUES_REPONSE_TYPE		2
#define QUEUES_BINAIRE_TYPE		3

/** Structures **/

/* Structure generique de message */

struct msgbuf {
  long mtype;
  char mtext[1];
  };

/** Prototypes des fonctions publiques du module **/

void initialisationQueue(int, unsigned char);
void destructionQueue(void);
void envoyerMessage(int,void *,int);
void recevoirMessage(int,void *,int *,unsigned char);
void envoyerBinaire(char *,int);
void recevoirBinaire(char *,int);
